%global momorel 1
Summary: gnome-icon-theme
Name: gnome-icon-theme
Version: 2.26.0
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: %{name}-extra-device-icons-5.tar.bz2
Source2: legacy-icon-mapping.xml
Source3: window.png
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArchitectures: noarch
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: icon-naming-utils >= 0.8.90
BuildRequires: coreutils
Requires: hicolor-icon-theme
PreReq: gtk2

%description
gnome icon theme

%prep
%setup -q

%build
%configure --disable-hicolor-check --enable-pkgconfigdir=%{_libdir}/pkgconfig
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# create symlinks for gtk stock icons, these are not really 'legacy'
# this uses the legacy-icon-mapping.xml file in cvs
pushd %{buildroot}%{_datadir}/icons/gnome
for size in 8x8 16x16 22x22 24x24 32x32 48x48 scalable; do
  (
  cd $size
  for context in *; do
    if [ -d $context ]; then
      (
      cd $context
      INU_DATA_DIR=%{_sourcedir} %{_libexecdir}/icon-name-mapping -c $context
      )
    fi
  done
  )
done
popd

tar xj -C %{buildroot}%{_datadir}/icons/gnome -f %{SOURCE1}

install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/icons/gnome/16x16/apps/

# make copy of gnome to hicolor
cp -a %{buildroot}/%{_datadir}/icons/gnome %{buildroot}/%{_datadir}/icons/hicolor

# conflict with index.theme from hicolor-icon-theme
rm -f %{buildroot}/%{_datadir}/icons/hicolor/index.theme

# conflict icons
rm -f %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/file-roller.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/48x48/mimetypes/gnome-mime-application-pgp-signature.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/actions/exit.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/actions/next.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/actions/player_record.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/kcalc.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/kedit.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/kfm.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/khelpcenter.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/konsole.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/kuser.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/actions/exit.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/actions/next.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/actions/player_record.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/kcalc.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/kedit.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/kfm.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/khelpcenter.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/konsole.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/22x22/apps/kuser.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/kcalc.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/kedit.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/kfm.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/khelpcenter.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/konsole.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/kuser.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/xfce4-backdrop.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/kcalc.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/xfce4-backdrop.svg
rm -f %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/xfwm4.svg
rm -f %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/kcharselect.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/actions/player_record.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/kcharselect.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/gdm.png
rm -f %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/gnome-grecord.png

# cleate filelist
find %{buildroot}/%{_datadir}/icons/hicolor \
    -name "*.png" -or -name "*.icon" -or -name "*.svg" | \
    sed "s@%{buildroot}@@" > hicolor.lst

%clean
rm -rf --preserve-root %{buildroot}

%post
for dir in /usr/share/icons/*; do
    if test -d "$dir"; then
	if test -f "$dir/index.theme"; then
	    touch $dir
	    /usr/bin/gtk-update-icon-cache --quiet $dir
	fi
    fi
done

%files -f hicolor.lst
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%dir %{_datadir}/icons/hicolor/*/stock/*
%dir %{_datadir}/icons/hicolor/8x8
%dir %{_datadir}/icons/hicolor/8x8/emblems
%{_datadir}/icons/gnome
%{_datadir}/pkgconfig/*.pc

%changelog
* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Wed Mar 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.25.92-2m)
- revive many important lost icons (using Fedora's hack)
#'

* Thu Mar 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Wed Feb 25 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Sun Feb 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-2m)
- add touch $dir in %%post script

* Thu Feb 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.0-2m)
- rebuild against rpm-4.6

* Sat Sep 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-3m)
- modify %%install to avoid conflicting with GNOME

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-2m)
- modify %%install to avoid conflicting with KDE

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.18.0-2m)
- modify %%install to avoid conflicting with KDE and XFCE4

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-2m)
- good-bye %%makeinstall

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-1m)
- update to 2.17.91 (unstable)

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Wed Oct 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0.1-2m)
- specify automake version 1.9

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0.1-1m)
- update to 2.16.0.1

* Mon Aug 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-7m)
- clean up spec

* Wed Aug  2 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.14.1-6m)
- add PreReq: gtk+-common

* Sat Jul  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-5m)
- delete duplicate files

* Sat Jul 01 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.14.1-4m)
- copy /usr/share/icons/gnome to /usr/share/icons/hicolor to fix the issue that some icons of gnome apps are not displayed in KDE, fluxbox, twm etc.

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-3m)
- delete duplicated dir

* Sat Apr  8 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.2-2m)
- add web-browser.png (Source1)
- add BuildRequires: icon-naming-utils
- add patch0

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Sun Feb 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-4m)
- fix conflict files

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-3m)
- comment out autoreconf

* Sun Nov 20 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.12.1-2m)
- enable x86_64

* Thu Nov 17 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-1m)
- version up
- GNOME 2.12.1 Desktop

* Sat Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.0-1m)
- GNOME 2.8 Desktop

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (1.2.3-1m)
- version 1.2.3

* Fri Apr 23 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.1-1m)
- version 1.2.1

* Sun Apr 18 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-3m)
- add --disable-hicolor-check at configure
  for not check index.theme, becase there is no need check
  /usr/share/icons/gnome/index.theme
  that file is provide by kdelibs-3.2.1-3m

* Fri Apr 16 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.2.0-2m)
- change %%{_datadir}/icons/* (add icons/hicolor directory)

* Mon Apr 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.2.0-1m)
- version 1.2.0
- GNOME 2.6 Desktop
- add %%{_libdir}/pkgconfig/*.pc

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.9-2m)
- s/Copyright:/License:/

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.9-1m)
- version 1.0.9

* Thu Jul 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.6-1m)
- version 1.0.6

* Wed Jun 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.5-1m)
- version 1.0.5

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.4-1m)
- version 1.0.4

* Mon May 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.3-1m)
- version 1.0.3

* Tue Apr 01 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.2-1m)
- version 1.0.2

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.1-1m)
- version 1.0.1

* Wed Jan 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.0-1m)
- version 1.0.0

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.91-1m)
- version 0.91

* Tue Dec 17 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.5-1m)
- version 0.1.5

* Thu Dec 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.4-1m)
- version 0.1.4

* Tue Nov 26 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.3-1m)
- version 0.1.3

* Mon Nov 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.1-1m)
- version 0.1.1

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.0-1m)
- import
